GITINSPECTOR(1)

NAME
gitinspector - statistical analysis tool for git repositories

SYNOPSIS
gitinspector [OPTION]... [REPOSITORY]

DESCRIPTION
gitinspector creates informative and visually appealling reports in various output formats for the git repository in REPOSITORY. If no repository is specified, the current directory is used. If multiple repositories are given, information will be fetched from the last repository specified.

Mandatory arguments to long options are mandatory for short options too. Boolean arguments can only be given to long options.

-f, --file-types=EXTENSIONS
    a comma separated list of file extensions to include when computing statistics. The default extensions used are: java,c,cc,cpp,h,hh,hpp,py,glsl,rb,js,sql

-F, --format=FORMAT
    define in which format output should be generated; the default format is 'text' and the available formats are: html,htmlembedded,text,xml. The only difference between html and htmlembedded is whether a copy of jQuery Core will be included in the generated source; both, however, will include copies of jQuery plugins.

--grading[=BOOL]
    show statistics and information in a way that is formatted for grading of student projects; this is the same as supplying the options -HlmrTw

-H, --hard[=BOOL]
    track rows and look for duplicates harder; this can be quite slow with big repositories

-l, --list-file-types[=BOOL]
    list all the file extensions available in the current branch of the repository

-L, --localize-output[=BOOL]
    localize the generated output to the selected system language if a translation is available

-m  --metrics[=BOOL]
    include checks for certain metrics during the analysis of commits

-r  --responsibilities[=BOOL]
    show which files the different authors seem most responsible for

--since=DATE
    only show statistics for commits more recent than a specific date

-T, --timeline[=BOOL]
    show commit timeline, including author names

--until=DATE
    only show statistics for commits older than a specific date

-w, --weeks[=BOOL]
    show all statistical information in weeks instead of in months

-x, --exclude=PATTERN
    an exclusion pattern describing the file paths, author names or author emails that should be excluded from the statistics; can be specified multiple times

-h, --help
    display this help and exit

--version
    output version information and exit

gitinspector will filter statistics to only include commits that modify, add or remove one of the specified extensions, see -f or --file-types for more information.

gitinspector requires that the git executable is available in your PATH.

AUTHOR
Written by Adam Waldenberg.

REPORTING BUGS
Report gitinspector bugs to gitinspector@ejwa.se.

COPYRIGHT
Copyright © 2012-2014 Ejwa Software. All rights reserved. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
git(1)